/* 
 bases on:
 http://www.arduino.cc/en/Tutorial/KeyboardSerial
 
 gibt seriell empfangene Signale über KB aus (umgemappt)
*/

#include "usToDE.h"

void setup() {
  // open the serial port:
Serial1.begin(9600);
  // initialize control over the keyboard:
  Keyboard.begin();
}

void loop() {

  
// check for incoming serial data:
  if (Serial1.available() > 0) {
    // read incoming serial data:
    unsigned char inChar = Serial1.read();
    // map US-keyboard to german keyboard
    unsigned char key = (usToDE[inChar]);
    // Type the next ASCII value from what you received:
    Keyboard.write(key);
  }
}
